---
title: "Get All Workflow Runs"
slug: "get-all-workflow-runs-2"
updated: 2026-02-11T20:38:32Z
published: 2026-02-11T22:15:21Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fullcast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Workflow Runs

Get/workflow/{workflow_id}/run

You can view the details of all workflow runs for a workflow via the API.

		
			

To view all workflow runs, send a GET request to `https://api.copy.ai/api/workflow/&lt;workflow_id&gt;/run`.

You will receive a response with the details for all runs for that workflow.

**For example:**

JSONJSON 

```json
{
  "status": "success",
  "data":
  {
    "total": 2,
    "data":
    [
      {
        "status": "COMPLETE",
        "input":
        {
          "Input 1": "Inputs vary depending on the workflow used.",
          "Input 2": "The best way to see an example is to try it!"
        },
        "output":
        {
          "Output 1": "Outputs vary depending on the workflow used.",
          "Output 2": "The best way to see an example is to try it!"
        },
        "metadata":
        {
          "api": true
        },
        "createdAt": "2023-04-29T15:08:01.326Z",
        "id": "<run_id>",
        "credits": 2
      },
      {
        "status": "COMPLETE",
        "input":
        {
          "Input 1": "Inputs vary depending on the workflow used.",
          "Input 2": "The best way to see an example is to try it!"
        },
        "output":
        {
          "Output 1": "Outputs vary depending on the workflow used.",
          "Output 2": "The best way to see an example is to try it!"
        },
        "metadata": null,
        "createdAt": "2023-04-29T15:08:01.326Z",
        "id": "<run_id>",
        "credits": 2
      }
    ]
  }
}
```

		
		
SecurityAPI Key: ApiKeyAuthHeader parameter namex-copy-ai-api-key

Copy.ai API key for authentication

Header parametersx-copy-ai-api-keystringRequired

Copy.ai API key

Path parametersworkflow_idstringRequired

ID of the workflow

Query parameterssizeinteger

Number of runs to include in pagination (up to 100, defaults to 10).

Default10
pageinteger

Used to specify further pages (starts at 1).

Default1

Responses200

Success

<select class='api-response-data' aria-label='Media type'><option value='a606b5a7-8f14-4668-89dd-ed64e1e08d5e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='d0269e2a-a674-475c-9b13-2916ea9411a9'>success</option>
</select>success

```json
{
  "status": "success",
  "data": {
    "total": "3",
    "data": [
      {
        "metadata": {
          "interestingValue": "interestingValue"
        },
        "createdAt": "2023-09-27T18:24:47Z",
        "id": "WRUN-6fe9e53c-945a-4aa3-a87e-d64c3cc0dcb0",
        "workflowRunId": "WRUN-6fe9e53c-945a-4aa3-a87e-d64c3cc0dcb0",
        "workflowId": "PKGW-d0f4f3eb-16b9-4973-8e1e-939af867ce56",
        "credits": "22"
      },
      {
        "createdAt": "2023-09-27T18:24:46.998Z",
        "id": "WRUN-137a0cd4-7dc3-412d-8d1c-854bddbdc230",
        "workflowRunId": "WRUN-137a0cd4-7dc3-412d-8d1c-854bddbdc230",
        "workflowId": "PKGW-d0f4f3eb-16b9-4973-8e1e-939af867ce56",
        "credits": "0"
      }
    ]
  }
}
```

Expand Allobject  statusstring    
dataobject  totalinteger    
data Array of object (WorkflowRunData)   object  idstring    
workflowRunIdstring    
workflowIdstring    
outputobject  
metadataobject  
createdAtstring  (date-time)    
creditsinteger    

400

Bad Request

404

Not Found
